Bug 1461948 - Refresh broken for openstack overcloud swift storage provider [NEEDINFO]
Refresh broken for openstack overcloud swift storage provider
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
unspecified Severity high
: GA
: cfme-future
Assigned To: Rich Oliveri
Matouš Mojžíš
openstack:cloud:refresh:storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 13:04 EDT by Matouš Mojžíš
Modified: 2017-07-17 09:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack
opavlenk: needinfo? (tzumainn)


Attachments (Terms of Use)
evm.log error (11.21 KB, text/plain)
2017-06-15 13:04 EDT, Matouš Mojžíš
no flags Details

  None (edit)
Description Matouš Mojžíš 2017-06-15 13:04:38 EDT
Created attachment 1288129 [details]
evm.log error

Description of problem:


Version-Release number of selected component (if applicable):
5.7.3.1

How reproducible:
Always

Steps to Reproduce:
1. Add an openstack overcloud provider
2. Go to Storage -> Providers
3. Refresh swift provider

Actual results:
Log added as attachment

Expected results:


Additional info:
Comment 3 Matouš Mojžíš 2017-06-15 13:17:55 EDT
Version might help. It's RHOS 8 Overcloud.
Comment 4 Rich Oliveri 2017-06-15 13:29:38 EDT
I'm not sure what you mean by: "3. Refresh swift provider"

Currently, storage managers (like swift and cinder) are tied to their providers. They get refreshed when their parent providers are refreshed. You must refresh the openstack provider in order to refresh its associated storage.

When the openstack provider is refreshed, are the swift objects retrieved?
Comment 6 Dave Johnson 2017-07-13 23:47:04 EDT
Please assess the importance of this issue and update the priority accordingly.  Somewhere it was missed in the bug triage process.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#priority for a reminder on each priority's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Note You need to log in before you can comment on or make changes to this bug.